// types/global.d.ts
declare namespace DiffUtils {
	function getDifferences<T extends object>(obj1: T, obj2: T): Partial<T>;
	function isEmpty<T extends object>(obj: T): boolean;
}

declare global {
	interface Window {
		DiffUtils: typeof DiffUtils;
	}
	namespace NodeJS {
		interface Global {
			DiffUtils: typeof DiffUtils;
		}
	}
}
